<template>
  <button
    class="calculator-button"
    :class="{
      'calculator-button_operand': type === 'operand',
      'calculator-button_equal': type === 'equal',
      'calculator-button_delete': ['delete', 'clear'].includes(type)
    }"
    @click="$emit('vClick')"
  >
    {{ text }}
  </button>
</template>

<script>
export default {
  name: 'CalculatorButton',
  props: {
    type: {
      type: String,
      required: true,
      validator: (val) => ['operand', 'equal', 'delete'].includes(val),
    },
    text: {
      type: String,
      required: true,
    },
  },
  emits: ['vClick'],
  setup() {
  },
};
</script>

<style lang="scss">
.calculator-button {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 12px;
  color: var(--text-color);
  border-radius: 50%;

  &_operand {
    color: #FFFFFF;
    background-color: var(--operand-color)
  }

  &_delete {
    color: #FFFFFF;
    background-color: #FD8DA8
  }

  &_equal {
    color: #FFFFFF;
    background-color: var(--equal-color);
    border-radius: 53px;
    grid-column: 4;
    grid-row: 4/6;
  }
}
</style>
